Loading...
Searching...
No Matches
apr_xml_elem Struct Reference
APR Utility Functions » XML

`#include <apr_xml.h>`

Collaboration diagram for apr_xml_elem:
[legend]

## Data Fields

const char * | name
int | ns
const char * | lang
apr_text_header | first_cdata
apr_text_header | following_cdata
struct apr_xml_elem * | parent
struct apr_xml_elem * | next
struct apr_xml_elem * | first_child
struct apr_xml_attr * | attr
struct apr_xml_elem * | last_child
struct apr_xml_ns_scope * | ns_scope
void * | priv

## Detailed Description

apr_xml_elem: holds a parsed XML element

## Field Documentation

## attr

struct apr_xml_attr* apr_xml_elem::attr

first attribute

## first_cdata

apr_text_header apr_xml_elem::first_cdata

cdata right after start tag

## first_child

struct apr_xml_elem* apr_xml_elem::first_child

first child element

## following_cdata

apr_text_header apr_xml_elem::following_cdata

cdata after MY end tag

## lang

const char* apr_xml_elem::lang

xml:lang for attrs/contents

## last_child

struct apr_xml_elem* apr_xml_elem::last_child

last child element

## name

const char* apr_xml_elem::name

element name

## next

struct apr_xml_elem* apr_xml_elem::next

next (sibling) element

## ns

int apr_xml_elem::ns

index into namespace array

## ns_scope

struct apr_xml_ns_scope* apr_xml_elem::ns_scope

namespaces scoped by this elem

## parent

struct apr_xml_elem* apr_xml_elem::parent

parent element

## priv

void* apr_xml_elem::priv

Place for modules to store private data

The documentation for this struct was generated from the following file:

- apr_xml.h